## org.apache.lucene.codecs.cheapbastard
Class CheapBastardDocValuesFormat

    java.lang.Object
      org.apache.lucene.codecs.DocValuesFormat
          org.apache.lucene.codecs.cheapbastard.CheapBastardDocValuesFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public final class CheapBastardDocValuesFormat

extends DocValuesFormat

DocValues format that keeps everything on disk.

Internally there are only 2 field types:

- BINARY: a big byte[].
- NUMERIC: packed ints

SORTED is encoded as BINARY + NUMERIC

NOTE: Don't use this format in production (its not very efficient). Most likely you would want some parts in RAM, other parts on disk.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`CheapBastardDocValuesFormat()`

Method Summary
`DocValuesConsumer` `fieldsConsumer(SegmentWriteState state)`
`DocValuesProducer` `fieldsProducer(SegmentReadState state)`

Methods inherited from class org.apache.lucene.codecs.DocValuesFormat
`availableDocValuesFormats, forName, getName, reloadDocValuesFormats, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CheapBastardDocValuesFormat

    public CheapBastardDocValuesFormat()

Method Detail

### fieldsConsumer

    public DocValuesConsumer fieldsConsumer(SegmentWriteState state)
                                     throws IOException

  Specified by:
    `fieldsConsumer` in class `DocValuesFormat`
  Throws:
    `IOException`

### fieldsProducer

    public DocValuesProducer fieldsProducer(SegmentReadState state)
                                     throws IOException

  Specified by:
    `fieldsProducer` in class `DocValuesFormat`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.